///////////////////////////////////////////////////////////////////////////////
//  untSOAPAdder:                                                            //
//  An object which adds two integers and returns an Int64 as the result.    //
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
//  Written for the January/February 2001 issue of                           //
//  "uk-bug developer's magazine"                                            //
//  by Rob Bracken                                                           //
//  Bracken Software Limited                                                 //
//  01275 843215                                                             //
///////////////////////////////////////////////////////////////////////////////

unit untSOAPAdder;

interface

type
  TAdder = class(TObject)
  private

  protected

  public

    function Add(Int1, Int2: integer): Int64;

  published 

  end;


implementation

{ TAdder }

function TAdder.Add(Int1, Int2: integer): Int64;
begin
  Result := Int64(Int1) + Int64(Int2);
end;

end.
 